Subject: Re: bug#62486: "--without-x" is ignored when "--with-x-toolkit=no"

From: Gregory Heytings <[email-masked]>
Date: Mon, 27 Mar 2023 16:00:04 +0000

>> make configure="--with-x-toolkit=no"
>> 
>> You see the "no"? No matter of that the configure output tells me it is 
>> build with X support.
>
> That's a bit counter-intuitive, indeed, but building Emacs with 
> "--with-x-toolkit=no" means that you ask a "no toolkit" built, in which 
> Emacs does not depend on an external toolkit (GTK or Lucid) to draw its 
> menu, toolbar and scrollbars.  That's different from a toolkit "without 
> X".
>
> This is not a bug.  Closing.
>

By the way, please consider asking questions on [email-masked] 
before filing bug reports.